import request from '@/utils/request'

// 创建问卷调查问题
export function createWqwt(data) {
  return request({
    url: '/system/wqwt/create',
    method: 'post',
    data: data
  })
}

// 更新问卷调查问题
export function updateWqwt(data) {
  return request({
    url: '/system/wqwt/update',
    method: 'put',
    data: data
  })
}

// 删除问卷调查问题
export function deleteWqwt(id) {
  return request({
    url: '/system/wqwt/delete?id=' + id,
    method: 'delete'
  })
}

// 获得问卷调查问题
export function getWqwt(id) {
  return request({
    url: '/system/wqwt/get?id=' + id,
    method: 'get'
  })
}

// 获得问卷调查问题分页
export function getWqwtPage(query) {
  return request({
    url: '/system/wqwt/page',
    method: 'get',
    params: query
  })
}

// 导出问卷调查问题 Excel
export function exportWqwtExcel(query) {
  return request({
    url: '/system/wqwt/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
